# Answer a terminal prompt

An async endpoint used for attempting to answer a pending decision prompt on a terminal. The decisionId & answer is returned by the payRequest in the pendingDecision object, and is required to differentiate prompt messages. There is no result to acknowledge that this decision was received by the terminal.

Endpoint: PUT /pay-terminal/requests/{payRequestId}
Version: 0.9
Security: JWT

## Header parameters:

  - `Authorization` (string, required)

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `payRequestId` (string, required)

## Request fields (application/json):

  - `decisionId` (string, required)
    The corresponding decisionId as provided by the pendingDecision object of the payRequest
    Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"

  - `answer` (string, required)
    The exact case-sensitive answer as provided by the list of answers in the pendingDecision object of the payRequest
    Example: "YES"

## Response 400 fields (application/json):

  - `error` (string)
    The validation error message.

  - `errorCode` (string)
    The unique error code for message.

## Response 412 fields (application/json):

  - `error` (string)
    The validation error message.

  - `errorCode` (string)
    The unique error code for message.


## Response 202 fields

## Response 403 fields
